# Object Oriented Programming

A short introduction to object oriented programming with examples in multiple languages

Example Languages:

- Java
- Rust
- C++
- JavaScript (using TypeScript)

Lessons:

- [instanciating objects, accessing attributes and methods](./lessons/Instances.md)
- [creating a class](./lessons/Classes.md)

Work in progress:

- constructors
- encapsulation
- getter / setter / property
- inheritance
- polymorphism
- virtual classes
- interfaces
